/**
 * DevExtreme (esm/renovation/ui/scheduler/workspaces/day/date_table/layout.j.js)
 * Version: 21.1.0 (build 21075-0317)
 * Build date: Tue Mar 16 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import registerComponent from "../../../../../../core/component_registrator";
import BaseComponent from "../../../../../component_wrapper/component";
import {
    DayDateTableLayout as DayDateTableLayoutComponent
} from "./layout";
export default class DayDateTableLayout extends BaseComponent {
    getProps() {
        var props = super.getProps();
        props.dataCellTemplate = this._createTemplateComponent(props, props.dataCellTemplate);
        return props
    }
    get _propsInfo() {
        return {
            twoWay: [],
            allowNull: [],
            elements: [],
            templates: ["dataCellTemplate"]
        }
    }
    get _viewComponent() {
        return DayDateTableLayoutComponent
    }
}
registerComponent("dxDayDateTableLayout", DayDateTableLayout);
