/**
 * DevExtreme (esm/renovation/ui/scroll_view/scrollable_props.js)
 * Version: 21.1.0 (build 21075-0317)
 * Build date: Tue Mar 16 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
export var ScrollableInternalProps = {
    direction: "vertical",
    showScrollbar: "onScroll",
    scrollByThumb: false,
    bounceEnabled: true,
    scrollByContent: true,
    useKeyboard: true,
    forceGeneratePockets: false,
    needScrollViewContentWrapper: false
};
export var ScrollableProps = _extends({}, ScrollableInternalProps, {
    useNative: true
});
